<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>

    <script src="Resources/jquery-3.2.1.min.js"></script>
</head>
<body>
<pre>
<script>
        function PrintSpaces(howMany) {

            for(i=1; i<=howMany;i++)
            document.write("&nbps;");

        }

        function PrintStars(howMany) {

            for(i=1; i<=howMany;i++)
                document.write("*");

        }

  /*N=3

    for(line=1;line<=N; line++){

       for(star=1; star<=line; star++){

           document.write("*")

       }

        document.write("<br>")
    }

    document.write("<hr>");


  N=3

  for(line=1;line<=N; line++){

      for(star=3; star>=line; star--){

          document.write("*")

      }

      document.write("<br>")
  }

*/



  N=3

  for(line=1;line<=N; line++){

      PrintSpaces(N-line);
      PrintStars(line);

  }

        document.write("<br>");










</script>

</pre>
</body>
</html>